Chatty can no longer start since the last update
#1
Sad 
Hello

I cannot read my SMS, Chatty doesn't open anymore since the last update (libpurple?). When I naively tried to run it in command line by entering "chatty", it complained about a missing shared library libjabber.so.0. What can I do to fix it? Where should I look for error logs?
  Reply
#2
(05-21-2022, 12:18 PM)anonymous Wrote: Hello

I cannot read my SMS, Chatty doesn't open anymore since the last update (libpurple?). When I naively tried to run it in command line by entering "chatty", it complained about a missing shared library libjabber.so.0. What can I do to fix it? Where should I look for error logs?

Hi,
same error here...

It looks like it will be fixed in the next version of chatty 0.6.4:
https://bugs.debian.org/cgi-bin/bugrepor...ug=1011166
  Reply
#3
(05-21-2022, 04:10 PM)Zdenek Wrote:
(05-21-2022, 12:18 PM)anonymous Wrote: Hello

I cannot read my SMS, Chatty doesn't open anymore since the last update (libpurple?). When I naively tried to run it in command line by entering "chatty", it complained about a missing shared library libjabber.so.0. What can I do to fix it? Where should I look for error logs?

Hi,
same error here...

It looks like it will be fixed in the next version of chatty 0.6.4:
https://bugs.debian.org/cgi-bin/bugrepor...ug=1011166

Thank you for your reply. "ln -s" might help in the meantime but maybe I should just wait for a clean fix.
  Reply
#4
I tried building Chatty 0.6.4 from here https://source.puri.sm/Librem5/chatty/-/tree/v0.6.4
but I had an error on the meson build stage (meson.build:113:0: ERROR: Subproject exists but has no meson.build file)

Try at your own risk, I forced installation of 0.6.4-1 from https://packages.debian.org/sid/arm64/chatty/download
using
Code:
sudo apt-get install -f ./chatty_0.6.4-1_arm64.deb

and that worked for me. Hopefully my build attempts did not affect it and would work for others. I have not tested it but it runs i.e. launches as per normal.

Hopefully a fix will be available via the usual Mobian updates.
Pinephone v1.2 UBports CE. Adelaide, Australia using Amaysim SIM (Optus network, non-VoLTE) with Mobian SD card.
Manjaro Plasma Mobile on EMMC.
  Reply
#5
I entered this in command line:
wget http://ftp.de.debian.org/debian/pool/mai..._arm64.deb
sudo dpkg -i chatty_0.6.4-1_arm64.deb

Then, I rebooted my pinephone (mandatory, otherwise you just get a blank Chatty) and it worked Smile

dcinoz, as you can see in the bug report, the fix will be available in about 4 days for others.
  Reply
#6
When building from source, I received an error for a missing libpurple0.so file. I had libpurple0 in my /var/cache/archives still so it worked after I downgraded by running:
dpkg -i /var/cache/apt/archives/libpurple0_2.14.8-1_arm64.deb

I did the same thing with pidgin-data prior to that, but I don't think it fixed anything.
  Reply
#7
(05-22-2022, 05:24 AM)anonymous Wrote: I entered this in command line:
wget http://ftp.de.debian.org/debian/pool/mai..._arm64.deb
sudo dpkg -i chatty_0.6.4-1_arm64.deb

That worked for me, thank you!
  Reply
#8
I hit the same problem and was able to fix it without installing anything:

Code:
$ LD_LIBRARY_PATH=/usr/lib/aarch64-linux-gnu/purple-2 chatty

It's the advice provided here, except replacing "x86_64" with "aarch64" in the path: https://bugs.debian.org/cgi-bin/bugrepor...ug=1011166

By the way, is there any way to know if apt-upgrading will break our phones ahead of time? I would have been happy to just not upgrade until the fix is up.
  Reply
#9
(05-25-2022, 07:33 PM)amindfv Wrote: By the way, is there any way to know if apt-upgrading will break our phones ahead of time? I would have been happy to just not upgrade until the fix is up.

Not that I know of other than holding off on potentially problematical updates and keeping an eye out here for reports of problems.

I do full image backups of my eMMC periodically so if something serious breaks I can get the phone back to a working state. I also keep a "known to work" sd card handy just in case.
  Reply
#10
Received update yesterday that included chatty. Chatty now launches successfully and I can send/receive texts again. The new chatty version has new features that seem quite useful.

I appreciate so much the work that all of the developers put into advancing this functionality of the pinephone. I will continue to support by using the device and software that I enjoy using. I will try to find other ways to support as best as I can.
  Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  apt-get update "The following signatures were invalid..." grump_fiddle_reinstall 8 386 06-23-2022, 05:54 AM
Last Post: vusra
  Exclamation point in cellular icon after update Zebulon Walton 8 612 06-22-2022, 05:57 PM
Last Post: albafrati
  Chatty - XMPP receiving photos - inline display doesn't work arkadione 1 117 06-12-2022, 02:39 PM
Last Post: user641
  Issues with Mobian? Start here. tophneal 0 357 04-21-2022, 11:27 AM
Last Post: tophneal
  Flatpak error during apt update user641 0 396 02-14-2022, 08:35 AM
Last Post: user641
  chatty v0.6 in Bookworm at last! treebeard 13 2,005 02-13-2022, 05:21 PM
Last Post: treebeard
  how to update mobian over tor vusra 8 1,410 02-11-2022, 04:44 PM
Last Post: user641
  Software update missing on desktop MikeMan 1 402 01-27-2022, 06:10 AM
Last Post: bcnaz
  Cant update and upgrade mobian. mode80 8 3,633 01-06-2022, 04:19 PM
Last Post: bcnaz
  Chatty, SMS does not work - could hardware be at fault? AntonReiser 36 7,516 11-02-2021, 03:42 AM
Last Post: AntonReiser

Forum Jump:


Users browsing this thread: 2 Guest(s)